Subject: bug#44080: 27.1; Display behavior of overlays `after-string` in resizable minibuffer frames

From: martin rudalics <[email-masked]>
Date: Tue, 20 Oct 2020 09:21:36 +0200

> It looks like the problem is in fit-frame-to-buffer: it is not
 > prepared to handle after-string at the end of the prompt.
 > Specifically, the fact that the 2nd and the 3rd args of the call to
 > window-text-pixel-size are both t causes the function to return the
 > value which doesn't account for the after-string.

Indeed.  'fit-frame-to-buffer' strips empty spaces at the beginning and
end of the buffer - it's aim is to make the frame occupy as little of
screen space as possible.  If 'resize-mini-frames' should handle
peculiarities as such display strings, it's probably better to write a
tailored function that handles them by calling 'window-text-pixel-size'
with the appropriate arguments.

But we can change the default behavior as well, or provide an appropriate
option.

martin